Change template of Micropayment provider
Open, Needs TriagePublic1 Story Points

Description

As a user,
I want to have a pleasant experience while paying via credit card,
so that I can be confident about security and can donate without interruptions

Acceptance Criteria:

  • When T170171 is done, set template of payment provider to their default, mobile-ready template x1

Note:

  • T170171 relates to a PR that can't be merged before this is done.

@tmletzko Is it okay if we use the default template on the payment provider page (like we already do for Sofort and PayPal)? We can use our logo there and set the background color, but that is the amount of customization we can do out of the box.

More customization like the one we have at the moment is possible, but would probably take multiple back-and-forth iterations with their development team and additional configurations while we're using old and new design on Desktop. Plus, we'd have to sync design changes on our side with them from time to time.

@gabriel-wmde It is hard to tell since there is no preview for tje default template on the payment provider page. Or can you provide me with one? For pragmatic reason, I would propose to go with the default template and adjust the page once we are done with the implementation of the mobile app. Is that doable?

Their skin can be customized a bit (provide logo, set background color, set background image).

Page1

  • center the logo in the left column (the logo does not fit into the layout, so we might change to the copy again)
  • Change Beitrag to "Ihre Spende an Wikimedia"
  • Change Preis to "Spendenhöhe"
  • Delete "Die Gesamtkosten für dieses Angebot betragen 5,00 EUR. "

Page2

  • Change "Wenn Ihre Daten vollständig und korrekt sind, drücken Sie bitte auf den Button "kaufen" um die Bezahlung abzuschließen." to "Wenn Ihre Daten vollständig und korrekt sind, drücken Sie bitte auf den Button "Jetzt spenden" um die Bezahlung abzuschließen.
  • Change Button label to "Jetzt spenden"

@gabriel-wmde Is that possible?

Not possible with the documented default parameters for the x1 template. I've asked our contact at micropayment on 2017-08-11 11:00 if we can still use x1 (so they are responsible for fixing errors and updating it) , but he has not responded yet. Shall I poke him?

kai.nissen updated the task description. (Show Details)
kai.nissen set the point value for this task to 1.
kai.nissen claimed this task.

Status as per Till: "kai poked them yesterday"

They configured the payment page for production to use a wording more compatible to donations. The test payment page throws an error, though. Also the page contains the "project name", which is not relevant for donors and might also be confusing.

I just contacted them again to fix that.

gabriel-wmde added a subscriber: Pablo-WMDE.EditedAug 31 2017, 3:43 PM

@tmletzko You can now test again at https://test-spenden-2.wikimedia.de/
The " mcp-default-themes" string on the page is the MCP project name, this changes in the prod environment.

@JeroenDeDauw , @kai.nissen @Pablo-WMDE
FIY, I've adapted the test configuration, this will be invalid when deploying master to spenden-test-2.

"project-id": "uuq-tfmtm-25647a36",
"background-color": "EBEBEB",
"logo": "wikimedia_black",
"theme": "x1",

Also note for the preparation of the prod environment:
You need to add the credit card payment data to the new project.

@gabriel-wmde

  • can we add a backlink to the spenden application in the theme - at least in the logo?
  • on all steps it says "Die Spendenhöhe beträgt 15,00 EUR." in addition to the header. Can we delete this redundancy?
  • Ideally, the header should say "Ich spende einmalig 15,00 EUR per Kreditkarte." If that is possible we could get rid of "Spenden Sie mit Ihrer Kreditkarte." and this cc-icon on the right.
  • the black logo should be centered vertically and horizontally
  • on production the name is being handed over to "Karteninhaber". I noticed that this in not the case any more. Out of purpose?

Personally, I think there are still too much needless redundant information that distracts from finalizing the payment. I rather get rid of that. If we need to contact MCP for that, I can do that.

Also, I get an error message after completing the donation.

I forwarded the change requests to the payment provider.

@tmletzko The name of the credit card holder is still prefilled. Maybe you tested anonymously?

tmletzko added a comment.EditedSep 11 2017, 10:26 AM

@kai.nissen it is Firma which is not prefilled. Since prefilling the credit card holder with Firma is rather unusual we will wait for the new design. With that we are able to have the additional fields name and vorname/Ansprechpartner when choosing Firma which we can use for cc holder.

All the requested changes to their base layout have now been implemented. I just deployed to the test system. @tmletzko do you want to take a final look?

tmletzko added a comment.EditedOct 5 2017, 3:11 PM

looks good but I still get this error message, so that I can not check on the confirmation page. And call back failed in the test backend.

As far as I remember, this happened before because of an incomplete setup of the project. I asked the payment provider to fix this.

It's fixed now. Deployment to production on Monday.

kai.nissen removed kai.nissen as the assignee of this task.

Deployment to production resulted in an error, which needed to be fixed on their side first. Everything is fine now.